Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Interface CaretListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface CaretListener

extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive CaretEvents.

Since:
  3.5
See Also:
  `CaretEvent`

Method Summary
`void` `caretMoved(CaretEvent event)` This method is called after the caret offset is changed.

Method Detail

### caretMoved

    void caretMoved(CaretEvent event)

  This method is called after the caret offset is changed. The following event fields are used:
  - event.caretOffset the new caret offset (input)

  Parameters:
    `event` - the given event
  See Also:
    `CaretEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.